\documentclass[a4paper]{article}
\usepackage[document]{ragged2e}
\usepackage{python}
\usepackage{afterpage}
\usepackage[english]{babel}
\usepackage{graphicx}
\usepackage[utf8]{inputenc}
\usepackage{xcolor}
\usepackage[T1]{fontenc}
\renewcommand*\familydefault{\ttdefault} %% Only if the base font of the document is to be typewriter style
\usepackage{subfigure}
\usepackage{geometry}
\usepackage{tcolorbox}
\usepackage{adjustbox}
\usepackage{setspace}
\usepackage{float}
\usepackage[obeyspaces]{url}
\usepackage{grffile}

\geometry{a4paper,left=25mm,right=20mm,
		top=12mm,
		bottom=20mm}

\setlength\parindent{0pt}

\tolerance=1
\emergencystretch=\maxdimen
\hyphenpenalty=1000
\hbadness=1000

\begin{document}

{\bf {\LARGE{ {{pipeline.name}} } Version {{pipeline.version}}   } }\\
\line(1,0){ \textwidth }

\begin{tabular}{lp{0.85\textwidth}}

Executor: & {{pipeline.user}} \\
Dataset: & {\bfseries{\verb|{{pipeline.sam_name}}|} }\\
Started: &  {{pipeline.start_time}}\\
Finished: & {{pipeline.end_time}}\\
 & \\
Operating System & \\
Server: & {{pipeline.server}}\\
System: & {{pipeline.system}}\\
Release: & {{pipeline.release}}\\
%Version: & {{pipeline.operating_version}}\\
Machine: & {{pipeline.machine}}\\
 & \\
 Tool versions & \\
Python: & {{pipeline.python_version}}\\
Mapper: & {{pipeline.mapper_version}}\\
Samtools: & {{pipeline.samtools_version}}\\
Picard: & {{pipeline.picard_version}}\\
Reffinder: & {{pipeline.reffinder_version}}\\
\end{tabular}\\

%----------------- Workflow -------------------%
\line(1,0){ \textwidth } \\
\begin{tabular}{lp{0.85\textwidth}}
Processed read(s):
{% if pipeline.args.join or pipeline.args.join_sample %}
	{% for i in pipeline.reads %}
		& \path{{"{"+i+"}"}}\\
	{% endfor %}
{% else %}
	& \path{{"{"+pipeline.current_read1+"}"}}\\ {%if pipeline.current_read2 is not none%} & \path{{"{"+pipeline.current_read2+"}"}}\\{%endif%}
{% endif %}
{%if pipeline.args.reference is defined and pipeline.args.reference is not none%} Reference file: & \path{{"{"+pipeline.args.reference+"}"}}\\{%endif%}
\end{tabular}\\
\line(1,0){ \textwidth } \\
\begin{tabular}{lp{0.85\textwidth}}
Call: & \path{{"{"+pipeline.call+"}"}}\\
\end{tabular}\\
\line(1,0){ \textwidth } \\

%-------------------- Summary -------------------%
\begin{tcolorbox}
{\large{Read statistics} } \\
\begin{tabular}{ll}
Total reads: & {{metric.read_stats['total']}}\\
Concordant reads: & {{metric.read_stats['concordant']}}\\
Discordant reads: & {{metric.read_stats['discordant']}}\\
Paired reads: & {{metric.read_stats['paired']}}\\
Mapped reads: & {{metric.read_stats['mapped']}}\\
Unmapped reads: & {{metric.read_stats['unmapped']}}\\
\end{tabular}
\end{tcolorbox}

\vspace{5mm}

{% for i in range(metric.reads_per_quality_result|length) %}
\afterpage{
\begin{tcolorbox}
\begin{center}
	{\Large Reference}\\ 
        \textbf{ {{metric.reads_per_quality_result[i][1][:85]}} }\\
\end{center}
\end{tcolorbox}
	\begin{figure}[H]
		\centering
		\begin{minipage}{0.5\textwidth}%
		\begin{subfigure}%
                    {%if metric.coverage_graph_result[i] is defined and metric.coverage_graph_result[i][0] is not none%} {\includegraphics[width=\textwidth]{/{{metric.coverage_graph_result[i][0]}}}} {%endif%}
		\end{subfigure}%
		\end{minipage}%		
		\begin{minipage}{0.5\textwidth}%
		\begin{subfigure}%
			{%if metric.bases_per_coverage_result[i] is defined and metric.bases_per_coverage_result[i][0] is not none%} {\includegraphics[width=\textwidth]{/{{metric.bases_per_coverage_result[i][0]}}}} {%endif%}
		\end{subfigure}%
		\end{minipage}%
	\end{figure}
	\begin{figure}[H]
		\centering
		\begin{minipage}{0.5\textwidth}%
		\begin{subfigure}%
			{%if metric.reads_per_quality_result[i] is defined and metric.reads_per_quality_result[i][0] is not none%} {\includegraphics[width=\textwidth]{/{{metric.reads_per_quality_result[i][0]}}}} {%endif%}
		\end{subfigure}%
		\end{minipage}%		
		\begin{minipage}{0.5\textwidth}%
		\begin{subfigure}%
			{%if  metric.mapq_graph_result[i] is defined and metric.mapq_graph_result[i][0] is not none%} {\includegraphics[width=\textwidth]{/{{metric.mapq_graph_result[i][0]}}}} {%endif%}
		\end{subfigure}%
		\end{minipage}%
	\end{figure}
	\begin{tcolorbox}
	{\large{Coverage statistics} } \\
	\begin{tabular}{ll}
        {%if metric.cov_stats_result[i] is defined%}
	Average: & {{metric.cov_stats_result[i]['mean']}}\\
	Maximum: & {{metric.cov_stats_result[i]['max']}}\\
	Minimum: & {{metric.cov_stats_result[i]['min']}}\\
	Standard Deviation: & {{metric.cov_stats_result[i]['sd']}}\\
	#Bases 0 coverage: & {{metric.cov_stats_result[i]['zero']}}\\
	#Bases < mean+2*sd: & {{metric.cov_stats_result[i]['lower']}}\\
	#Bases > mean+2*sd: & {{metric.cov_stats_result[i]['greater']}}\\
        {%endif%}
	\end{tabular}
	\end{tcolorbox}
}
\clearpage
{% endfor %}

\end{document}
